SmartMemory
PATCH
/memory/pipeline/profiles/{name}

Update a custom pipeline profile by name.

Only custom profiles can be updated. Built-in profiles are read-only.

Path Parameters

name*Name

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to update a custom pipeline profile.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/memory/pipeline/profiles/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "display_name": "string",
  "description": "string",
  "is_builtin": true,
  "is_active": true,
  "composition": {
    "property1": "string",
    "property2": "string"
  },
  "overrides": {
    "property1": {},
    "property2": {}
  },
  "tags": [
    "string"
  ],
  "usage_count": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}